### Function

# Handy StyleManager get_for_display

since: 1.6

#### Declaration [src]

    HdyStyleManager*
    hdy_style_manager_get_for_display (
      GdkDisplay* display
    )

#### Description [src]

Gets the `HdyStyleManager` instance managing `display`.

It can be used to override styles for that specific display instead of the whole application.

Most applications should use `hdy_style_manager_get_default()` instead.

Available since: 1.6

#### Parameters

`display`

  Type: `GdkDisplay`

  A display.

  The data is owned by the caller of the function.

#### Return value

Type: `HdyStyleManager`

The style manager for `display`.

The data is owned by the called function.